# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Heading

Packages that use Heading
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Heading in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return Heading
Modifier and Type
Method
Description
`Heading`
ReviewsFactory.`createHeading()`
Returns a new object of class 'Heading'.
`Heading`
Heading.`getNextHeading()`
Returns the value of the 'Next Heading' reference.
`Heading`
Comment.`getParentHeading()`
Returns the value of the 'Parent Heading' reference.
`Heading`
Heading.`getPreviousHeading()`
Returns the value of the 'Previous Heading' reference.

## Uses of Heading in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Heading
Modifier and Type
Class
Description
`class`
`HeadingImpl`
An implementation of the model object 'Heading'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Heading
Modifier and Type
Method
Description
`Heading`
ReviewsFactoryImpl.`createHeading()`
`Heading`
HeadingImpl.`getNextHeading()`
`Heading`
CommentImpl.`getParentHeading()`
`Heading`
HeadingImpl.`getPreviousHeading()`

## Uses of Heading in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Heading
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseHeading(Heading object)`
Returns the result of interpreting the object as an instance of 'Heading'.